<bugID>1366246<Summary>Ensure that browser.contentTitle reflects the stored title throughout the restoration process</Summary><Description>(In reply to D&#227;o Gottwald [::dao] from bug 1365780 comment #5)
&gt; (In reply to Mike de Boer [:mikedeboer] from bug 1365780 comment #4)
&gt; &gt; &gt; +            aTab._labelIsContentTitle = aOptions &amp;&amp; aOptions.isContentTitle;
&gt; &gt; 
&gt; &gt; I'm kind of starting to dislike the mixed bag and sheer amount of
&gt; &gt; properties, attributes and other state-tracking-variables we mix throughout
&gt; &gt; the binding and at this rate it's only going to be more.
&gt; 
&gt; We could avoid adding this one if sessionstore ensured that
&gt; browser.contentTitle consistently returned the stored title throughout the
&gt; restoration process. Do you know if it currently does that? I believe
&gt; between the lazy, pending, restoring history and loading states,
&gt; contentTitle may be intermittently empty.

(In reply to Mike de Boer [:mikedeboer] from bug 1365780 comment #7)
&gt; There have been changes there in that regard recently, but it's too early to
&gt; say 'yes' with 100% certainty. Not with enough certainty, at least, to
&gt; simplify the patch here.

Once we're confident about browser.contentTitle's reliability, we can use that in getWindowTitleForBrowser and get rid of tab._labelIsContentTitle.</Description></bugID>